<h1 matDialogTitle>Masuk</h1>
<div mat-dialog-content>
    <div>
        <mat-form-field class="input-block">
            <input matInput [(ngModel)]="username" placeholder="Username" name="username" id="username">
            <button mat-button *ngIf="username" matSuffix mat-icon-button aria-label="Clear" (click)="username=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div>
        <mat-form-field class="input-block">
            <input type='password' matInput [(ngModel)]="password" placeholder="Password" name="password" id="password">
            <button mat-button *ngIf="password" matSuffix mat-icon-button aria-label="Clear" (click)="password=''">
                <mat-icon>close</mat-icon>
            </button>
        </mat-form-field>
    </div>
    <div *ngIf="message" id="warning_message">
        {{ message }}
    </div>
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="primary" (click)="tryLogin()">Masuk</button>
    <button mat-raised-button color="warn" (click)="dialogRef.close(false)">Batal</button>
</div>